@charset "UTF-8";

html {
  overflow-x: hidden;
}

body {
  max-width: 100%;
}

header{
  position: sticky;
  top: 0;
  z-index: 9999;
  background: #5e5e5e;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
}
/* ナビゲーション */
.nav {
  display: flex;
  justify-content: flex-end;
  gap: 30px;
  padding: 20px 40px;
  background-color: #ededed; 
}
section {
  scroll-margin-top: 160px;
}

.nav a {
  text-decoration: none;
  color: #333;
  font-weight: bold;
}
.nav a:hover {
  opacity: 0.6;
}
.nav img{
  width: 100%;
  height: 100%;
}
main {
  padding-top: 70px;
}
.top img{
  display: flex;
}

body {
  background-image: url("img/AdobeStock_284044711.jpeg");
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}
.hikarumiyamoto {
  width: 100%;
  max-width: 800px;
  margin: 30px 0 0 90px;
}
.portfolio{
  width: 100%;
  max-width:450px;
  margin: 60px 0 200px 90px;
}
.PROFILE{
  width: 100%;
  max-width: 700px;
  display: block;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 100px;
  margin-top: 300px;
}
.about-container {
  display: flex;
  gap: 40px;
  align-items: center;
  max-width: 1500px;
  margin: 0 auto;
}

.about-image {
  width: 500px;
  aspect-ratio: 1 / 1;
  overflow: hidden;
  background: #ddd;
}

.about-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* テキストエリア */
.about-text {
  flex: 1;
  gap: 30px;
}

.about-text h2 {
  font-size: 90px;
  margin-bottom: 80px;
}

.about-text p {
  line-height: 1.8;
  font-size: 30px;
}
.about{
  margin-bottom: 200px;
}
.skill-top{
  width: 100%;
  max-width: 400px;
  display: block;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 100px;
  margin-top: 100px;
}
.box{
  display: flex;
  gap: 70px;
  justify-content: center;
}
.Design,.Coding,.Learning{
  width: 500px;
  height: 600px;
  background: #ffffff;
  border-radius: 32px;
  border: 2px solid #000;
}
.box img{
  display: block;
  margin: 50px auto 50px;
  height: 100%;
  max-height:70px;
}

.box1 ,.box2 ,.box3{
  height:100%;
  max-height: 100px !important;
}

.AfterEffects{
  height: 100%;
  max-height: 150px !important;
}
.skill{
  margin-bottom: 200px;
}
.works{
  display: block;
  margin: 50px auto 50px;
}
.works-top{
  width: 100%;
  max-width: 500px;
  display: block;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 100px;
  margin-top: 20px;
}
.works-list,.works-list2{
  display: flex;
  gap: 150px;
  justify-content: center;
}
.works-list {
  display: flex;
  justify-content: center;
  gap: 150px;
  margin-bottom: 90px;
}

.work-card {
  width: 500px;
}

.work-image {
  width: 500px;
  height: 500px;
  background: #ededed;
  border-radius: 32px;
  border: 2px solid #000;
  overflow: hidden;
}

.work-image img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.work-text {
  font-size: 40px;
  font-weight: bold;
  margin-top: 30px;
  text-shadow: 1px 2px 6px rgba(0,0,0,0.25);
  text-align: center;
}

.space {
  padding-bottom: 100px;
}
/* 画像クリック */
.modal {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.8);

  display: flex;
  justify-content: center;
  align-items: center;

  opacity: 0;              /* 最初は透明 */
  visibility: hidden;      /* クリック不可 */
  transition: opacity 0.3s ease, visibility 0.3s ease;

  z-index: 99999;
}
.modal.active {
  opacity: 1;
  visibility: visible;
}
#modal-img {
  max-width: 90%;
  max-height: 90%;
}
.contact-top{
  width: 100%;
  max-width: 500px;
  display: block;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 100px;
  margin-top: 20px;
}




.contact h2{
    font-size: 100px;
    text-align: center;
    padding-top: 100px;
}
.contact .required {
    color: red;
    font-weight: bold;
}
.contact .contact-form {
    display: flex;
    justify-content: center;
    margin-top: 30px;
}
.contact .form {
    width: 500px;
    text-align: left;
    display: flex;
    flex-direction: column;
    gap: 5px;
}
.contact .form label {
    font-size: 30px;
    font-weight: bold;
    text-shadow: 1px 2px 6px rgba(0,0,0,0.25);
}
.contact .form input,
.contact .form textarea {
    width: 100%;
    padding: 12px;
    border-radius: 8px;
    border: 4px solid #ccc;
    font-size: 16px;
}
.contact .form button {
    align-self: flex-end;
    padding: 10px 22px;
    font-size: 18px;
    background-color: #000000;
    color: #fff;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    margin: 30px 0 150px 0;
    
}
.contact .form button:hover {
    opacity: 0.8;
}
.contact .form textarea {
    height: 200px;
    resize: vertical;
}
